# Variables & Identifiers

#### $input

The entire object because of which the workflow was triggered.

#### $currentItem

Within a foreach loop, $currentItem refers to the current item in the iteration

#### $autoId

Autogenerated id. Useful when an id needs to be generated.&#x20;

For example, in the CreateAsset activity, which requires the user to specify the id for the new asset, they can specify $autoId instead.

#### String Intrapolation

In any of the values in the workflow, support basic javascript style string intrapolation are supported. For example, in the RaiseEvent activity, message field, the following is supported – “Approval request raised for invoice: ${input.data.invoiceId}”

{% hint style="info" %}
Every activity in the workflow will have a human readable id which is autogenerated by default, but can be modified by the user.

This id can then be used by the customer in subsequent steps to refer to the output generated as part of that activity. For e.g. $ReadAsset1.output will have the entire object returned by ReadAsset1 activity within it.
{% endhint %}

***

### <mark style="color:purple;">What is an entity?</mark>

An entity in blockchain is can be either an organization or a specific user within an organization. Read more about entities [Organization Entities](/products-overview/private-network/organizations/organization-entities.md)

#### Entity in Approvals:

Entity in approval generally refers to the approver. The approver can be either an organization or a specific user within an organization. Specific users can be an approver by defining their key-value identifier. If user ID (optional field) is not added, the owner will be the selected organisation.

#### Entity in Assets

Entity in assets generally refers to the owner of the asset.  Owner can be either an organization or a specific user within an organization. Specific users can be defined by adding their key-value identifier. If user ID (optional field) is not added, the owner will be the selected organisation.

#### Entity in Tokens:

Entity in tokens generally refers to an account.  Account can be either be ownerd an organization or a specific user within an organization. Specific user's can be defined by adding their key-value identifier. If user ID (optional field) is not added, the owner will be the selected organisation.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spydra.app/how-to/private-network/workflow/variables-and-identifiers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
